Bug 2219517 - CVE-2023-36183 OpenImageIO: heap-buffer-overflow in ICOInput::readimg() in icoinput.cpp [fedora-all]
Summary: CVE-2023-36183 OpenImageIO: heap-buffer-overflow in ICOInput::readimg() in ic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenImageIO
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-36183
TreeView+ depends on / blocked
 
Reported: 2023-07-04 06:19 UTC by TEJ RATHI
Modified: 2023-08-11 00:57 UTC (History)
1 user (show)

Fixed In Version: OpenImageIO-2.4.14.0-1.fc38 OpenImageIO-2.4.14.0-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-11 00:40:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-07-04 06:19:27 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2219516

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2023-07-04 06:19:30 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2219516,2219517

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-08-05 12:07:56 UTC
FEDORA-2023-ad5fee9a64 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ad5fee9a64

Comment 3 Fedora Update System 2023-08-05 12:08:34 UTC
FEDORA-2023-99870af9f0 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-99870af9f0

Comment 4 Fedora Update System 2023-08-11 00:40:47 UTC
FEDORA-2023-ad5fee9a64 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2023-08-11 00:57:38 UTC
FEDORA-2023-99870af9f0 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.